### Method

# AppStream ReviewsClient fetch_reviews

#### Declaration [src]

    GPtrArray*
    as_reviews_client_fetch_reviews (
      AsReviewsClient* rrc,
      AsComponent* cpt,
      guint start,
      guint limit,
      GError** error
    )

#### Description [src]

Fetch user reviews for the given software component from the reviews server. The reviews are sorted by their score (most helpful first), so subsequent pages can be requested by increasing `start` in steps of `limit`. This call does blocking network I/O.

#### Parameters

`cpt`

  Type: `AsComponent`

  The component to fetch reviews for.

  The data is owned by the caller of the method.

`start`

  Type: `guint`

  Index of the first review to fetch, for pagination.

`limit`

  Type: `guint`

  Maximum amount of reviews to fetch, or 0 for the default limit.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `AsReview*`

The fetched reviews, or `NULL` on error.

The caller of the method takes ownership of the returned data container, but not the data inside it.